# % define rcver 1

Name:           libopenr2
Version:        1.3.1
Release:        1%{?rcver:.rc%{rcver}}%{?dist}
Summary:        MFC/R2 call setup library
Packager:       Alexandre Cavalcante Alencar <alexandre.alencar@gmail.com>

Group:          System Environment/Libraries
License:        LGPL
URL:            http://www.libopenr2.org/
Source0:        http://openr2.googlecode.com/files/openr2-%{version}%{?rcver:rc%{rcver}}.tar.gz
Patch0:         openr2-1.3.1-remove-unused-variables.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Obsoletes:      libmfcr2 libsupertone libunicall
BuildRequires:	chrpath
BuildRequires:  dahdi-devel

%description
OpenR2 is a library that implements the MFC/R2 signalling over E1 lines using
the Zapata Telephony interface. The MF R2 tones required for the signaling are
generated by code borrowed from the LGPL library SpanDSP written by Steve Underwood, 
the user has the option to provide a MF interface to use his own MF R2 tone generation
and detection so the library will use them when needed, that's why this library does not 
depend directly on spandsp, libteletone or zaptel for tone generation and detection
(depends on zaptel for ABCD bits and general media transmission though)


%package        devel
Summary:        Development files for %{name}
Group:          Development/Libraries
Requires:       %{name} = %{version}-%{release}
Obsoletes:	libmfcr2-devel libsupertone-devel libunicall-devel

%description    devel
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.


%prep
%setup -q -n openr2-%{version}%{?rcver:rc%{rcver}}
%patch0 -p1

%build
%configure --libdir=%{_libdir} --sysconfdir=%{_sysconfdir}/openr2 --disable-static --disable-rpath
sed -i 's|^hardcode_libdir_flag_spec=.*|hardcode_libdir_flag_spec=""|g' libtool
sed -i 's|^runpath_var=LD_RUN_PATH|runpath_var=DIE_RPATH_DIE|g' libtool
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT
chrpath --delete $RPM_BUILD_ROOT%{_bindir}/r2test
find $RPM_BUILD_ROOT -name '*.la' -exec rm -f {} ';'

%clean
rm -rf $RPM_BUILD_ROOT


%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig


%files
%defattr(-,root,root,-)
%doc AUTHORS ChangeLog COPYING COPYING.LESSER NEWS README TODO
%doc doc/*.alaw
%doc doc/README.asterisk
%doc %dir doc/asterisk
%{_bindir}/r2test
%{_bindir}/r2dtmf_detect
%{_libdir}/*.so.*
%{_mandir}/man5/r2test.conf.5.gz
%{_mandir}/man8/r2test.8.gz
%config(noreplace) %{_sysconfdir}/openr2/r2test.conf
%config(noreplace) %{_sysconfdir}/openr2/r2proto.conf


%files devel
%defattr(-,root,root,-)
%doc AUTHORS ChangeLog COPYING COPYING.LESSER NEWS README TODO
%{_includedir}/openr2.h
%{_includedir}/openr2/*.h
%{_libdir}/*.so


%changelog
* Thu Mar 22 2012 Alex Villacis Lasso <a_villacis@palosanto.com> 1.3.1-1
- Remove unused variable assignments for Fedora compile.

* Tue Jul 12 2011 Alex Villacis Lasso <a_villacis@palosanto.com> 1.3.1-0
- Update to 1.3.1 stable.

* Tue Mar 23 2010 Alex Villacis Lasso <a_villacis@palosanto.com> 1.3.0-0
- Update to 1.3.0 stable.

* Thu Oct 22 2009  Alex Villacis Lasso <a_villacis@palosanto.com> 1.2.0-1
- Update to 1.2.0 stable.

* Fri Jul 24 2009 Alex Villacis Lasso <a_villacis@palosanto.com> 1.2.0-0rc1
- Update to 1.2.0rc1
- Drop fix for R2 parameters for Argentina, merged upstream.

* Thu May  7 2009 Alex Villacis Lasso <a_villacis@palosanto.com> 1.1.0-3
- Obsoletes packages libmfcr2 libsupertone libunicall and their -devel 
  packages. The package libmfcr2 has been dead code for some time now
  and libsupertone will not compile with newer spandsp-0.0.6 .

* Thu Apr 23 2009 Alex Villacis Lasso <a_villacis@palosanto.com> 1.1.0-2
- Fix R2 parameters for Argentina.

* Mon Mar 02 2009 Alex Villacis Lasso <a_villacis@palosanto.com> 1.1.0-0
- Build for 64-bits
- Fix %setup macro
- Remove reference to nonexistent *.alaw files in specfile

* Mon Feb 02 2009 Alexandre Alencar <alexandre.alencar@gmail.com>
- Updated package version number
- Add compilance with ANATEL (Brazilian telecomunications agency)

* Mon Jan 12 2009 Alexandre Alencar <alexandre.alencar@gmail.com>
- Update package version

* Sat Nov 29 2008 Alexandre Alencar <alexandre.alencar@gmail.com>
- Update package revision number
- Add missing files
- Small fixes on spec file

* Sat Nov 29 2008 Alexandre Alencar <alexandre.alencar@gmail.com>
- Update to latest SVN release
- Changed version number
- Added sample docs

* Thu Oct 30 2008 Alexandre Alencar <alexandre.alencar@gmail.com>
- Update to latest SVN release

* Thu Oct 09 2008 Alexandre Alencar <alexandre.alencar@gmail.com>
- Update to latest SVN release
- Added r2test and r2test.conf man pages
- Build r2test by default
- Add r2test.conf and r2proto.conf files

* Mon Sep 15 2008 Alexandre Alencar <alexandre.alencar@gmail.com>
- Update to latest SVN release
- Added r2hwcompat.h

* Thu Jul 10 2008 Alexandre Alencar <alexandre.alencar@gmail.com>
- Update to latest SVN release
- Removed rpath and libdir perl fix script as we don't need it

* Tue Jun 24 2008 Alexandre Alencar <alexandre.alencar@gmail.com>
- Update to lastest SVN release and changed release number to SVN

* Tue May 13 2008 Alexandre Alencar <alexandre.alencar@gmail.com>
- Update to lastest SVN release and add r2engine.h header
- Removed SpanDSP dependency to reflect upstream

* Thu May 08 2008 Alexandre Alencar <alexandre.alencar@gmail.com>
- Updated URL's, License to LGPL as upstream and conditional
- requirement of SpanDSP library and headers

* Tue Apr 29 2008 Alexandre Alencar <alexandre.alencar@gmail.com>
- Update to 1.1 version with Brazilian R2D support

* Thu Apr 24 2008 Alexandre Alencar <alexandre.alencar@gmail.com>
- Initial release
